Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 57443002: Restore ActivityLogging=SetterForIsolatedWorlds for mouse and keyboard events (Closed)

Created:
5 years, 7 months ago by philipj_slow
Modified:
5 years, 7 months ago
CC:
blink-reviews, eae+blinkwatch, dglazkov+blink, arv+blink, Inactive, adamk+blink_chromium.org, felt, ulfar, haraken
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Restore ActivityLogging=SetterForIsolatedWorlds for mouse and keyboard events This was first added in r154552. In r159511 [PerWorldBindings, ActivityLogging=SetterForIsolatedWorlds] was replaced with [ActivityLogging=Setter] on the assumption that PerWorldBindings wasn't there for any particular reason and that SetterForIsolatedWorlds wouldn't make sense without it. This was wrong, because activity logging now happens for all worlds, where it previously only happened for isolated worlds. Make it so again. BUG=305112 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=161265

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -25 lines) Patch
M Source/core/dom/Document.idl View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/Element.idl View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/GlobalEventHandlers.idl View 1 chunk +22 lines, -22 lines 0 comments Download
M Source/core/frame/Window.idl View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
philipj_slow
A bit of an oops here, better fix this before the branch point in case ...
5 years, 7 months ago (2013-11-03 21:26:16 UTC) #1
eseidel
5 years, 7 months ago (2013-11-03 21:28:42 UTC) #2
philipj_slow
I should also point out that after this change there isn't any code left using ...
5 years, 7 months ago (2013-11-03 21:33:47 UTC) #3
abarth-chromium
What impact does this CL have on binary size?
5 years, 7 months ago (2013-11-04 00:48:08 UTC) #4
philipj_slow
On 2013/11/04 00:48:08, abarth wrote: > What impact does this CL have on binary size? ...
5 years, 7 months ago (2013-11-04 07:43:35 UTC) #5
abarth-chromium
Ok, LGTM. Thanks!
5 years, 7 months ago (2013-11-04 17:04:30 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/57443002/1
5 years, 7 months ago (2013-11-04 17:05:03 UTC) #7
commit-bot: I haz the power
5 years, 7 months ago (2013-11-04 18:38:32 UTC) #8
Message was sent while issue was closed.
Change committed as 161265

Powered by Google App Engine
This is Rietveld 408576698